<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Symulator ruchu drogowego: TrafficLight.traffic_light Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Symulator ruchu drogowego
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>TrafficLight</b></li><li class="navelem"><a class="el" href="classTrafficLight_1_1traffic__light.html">traffic_light</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="classTrafficLight_1_1traffic__light-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TrafficLight.traffic_light Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:af320a7c90844b4c5e04927da93ff7698"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTrafficLight_1_1traffic__light.html#af320a7c90844b4c5e04927da93ff7698">__init__</a> (self, <a class="el" href="classTrafficLight_1_1traffic__light.html#a5f1f524f8a47dc66fbd317c20ef466b2">x</a>, <a class="el" href="classTrafficLight_1_1traffic__light.html#a3140f8052ea6ea755b97a5f17d86d5e9">y</a>)</td></tr>
<tr class="separator:af320a7c90844b4c5e04927da93ff7698"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa78d158ad984303ba8f6d5347a28dcae"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTrafficLight_1_1traffic__light.html#aa78d158ad984303ba8f6d5347a28dcae">get_color</a> (self)</td></tr>
<tr class="separator:aa78d158ad984303ba8f6d5347a28dcae"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30a999052644d19f11d7f3da6d6ae62a"><td class="memItemLeft" align="right" valign="top">def&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classTrafficLight_1_1traffic__light.html#a30a999052644d19f11d7f3da6d6ae62a">tick</a> (self)</td></tr>
<tr class="separator:a30a999052644d19f11d7f3da6d6ae62a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-attribs" name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:aada568d315a65fb9d91a78565469287a"><td class="memItemLeft" align="right" valign="top"><a id="aada568d315a65fb9d91a78565469287a" name="aada568d315a65fb9d91a78565469287a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>tick_counter</b></td></tr>
<tr class="memdesc:aada568d315a65fb9d91a78565469287a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tick counter - Actual tick. <br /></td></tr>
<tr class="separator:aada568d315a65fb9d91a78565469287a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a00c25a4169499885eeaef836008f07de"><td class="memItemLeft" align="right" valign="top"><a id="a00c25a4169499885eeaef836008f07de" name="a00c25a4169499885eeaef836008f07de"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>pattern_tick</b></td></tr>
<tr class="memdesc:a00c25a4169499885eeaef836008f07de"><td class="mdescLeft">&#160;</td><td class="mdescRight">Light pattern. <br /></td></tr>
<tr class="separator:a00c25a4169499885eeaef836008f07de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8ec6668a92e5699e846bfe8d311a02e5"><td class="memItemLeft" align="right" valign="top"><a id="a8ec6668a92e5699e846bfe8d311a02e5" name="a8ec6668a92e5699e846bfe8d311a02e5"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>first_pattern</b></td></tr>
<tr class="memdesc:a8ec6668a92e5699e846bfe8d311a02e5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Light first color pattern. <br /></td></tr>
<tr class="separator:a8ec6668a92e5699e846bfe8d311a02e5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa1c908e60c5194102d86c091c9011efe"><td class="memItemLeft" align="right" valign="top"><a id="aa1c908e60c5194102d86c091c9011efe" name="aa1c908e60c5194102d86c091c9011efe"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>second_pattern</b></td></tr>
<tr class="memdesc:aa1c908e60c5194102d86c091c9011efe"><td class="mdescLeft">&#160;</td><td class="mdescRight">Light second color pattern. <br /></td></tr>
<tr class="separator:aa1c908e60c5194102d86c091c9011efe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a980808cf2225a59fa253a0d5362b3a8a"><td class="memItemLeft" align="right" valign="top"><a id="a980808cf2225a59fa253a0d5362b3a8a" name="a980808cf2225a59fa253a0d5362b3a8a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>picked_pattern</b></td></tr>
<tr class="memdesc:a980808cf2225a59fa253a0d5362b3a8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Picked pattern (0 or 1) <br /></td></tr>
<tr class="separator:a980808cf2225a59fa253a0d5362b3a8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad56168a4c346806685a40413b3951b68"><td class="memItemLeft" align="right" valign="top"><a id="ad56168a4c346806685a40413b3951b68" name="ad56168a4c346806685a40413b3951b68"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>pattern_position</b></td></tr>
<tr class="memdesc:ad56168a4c346806685a40413b3951b68"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pattern position 0 or 1. <br /></td></tr>
<tr class="separator:ad56168a4c346806685a40413b3951b68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f1f524f8a47dc66fbd317c20ef466b2"><td class="memItemLeft" align="right" valign="top"><a id="a5f1f524f8a47dc66fbd317c20ef466b2" name="a5f1f524f8a47dc66fbd317c20ef466b2"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>x</b></td></tr>
<tr class="memdesc:a5f1f524f8a47dc66fbd317c20ef466b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">x position on grid (j) <br /></td></tr>
<tr class="separator:a5f1f524f8a47dc66fbd317c20ef466b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3140f8052ea6ea755b97a5f17d86d5e9"><td class="memItemLeft" align="right" valign="top"><a id="a3140f8052ea6ea755b97a5f17d86d5e9" name="a3140f8052ea6ea755b97a5f17d86d5e9"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>y</b></td></tr>
<tr class="memdesc:a3140f8052ea6ea755b97a5f17d86d5e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">y position on grid (i) <br /></td></tr>
<tr class="separator:a3140f8052ea6ea755b97a5f17d86d5e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a291a052542803ebfeb433b523d5133dd"><td class="memItemLeft" align="right" valign="top"><a id="a291a052542803ebfeb433b523d5133dd" name="a291a052542803ebfeb433b523d5133dd"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>x_vis</b></td></tr>
<tr class="memdesc:a291a052542803ebfeb433b523d5133dd"><td class="mdescLeft">&#160;</td><td class="mdescRight">x visualisation position <br /></td></tr>
<tr class="separator:a291a052542803ebfeb433b523d5133dd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefe9f921775b96c733e5275090677980"><td class="memItemLeft" align="right" valign="top"><a id="aefe9f921775b96c733e5275090677980" name="aefe9f921775b96c733e5275090677980"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>y_vis</b></td></tr>
<tr class="memdesc:aefe9f921775b96c733e5275090677980"><td class="mdescLeft">&#160;</td><td class="mdescRight">y visualisation position <br /></td></tr>
<tr class="separator:aefe9f921775b96c733e5275090677980"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><pre class="fragment">Traffic light class
</pre> </div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="af320a7c90844b4c5e04927da93ff7698" name="af320a7c90844b4c5e04927da93ff7698"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af320a7c90844b4c5e04927da93ff7698">&#9670;&nbsp;</a></span>__init__()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def TrafficLight.traffic_light.__init__ </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>x</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>y</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Constructor
@param x Position on map (X axis)
@param y Position on map (Y axis)
</pre> 
</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="aa78d158ad984303ba8f6d5347a28dcae" name="aa78d158ad984303ba8f6d5347a28dcae"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa78d158ad984303ba8f6d5347a28dcae">&#9670;&nbsp;</a></span>get_color()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def TrafficLight.traffic_light.get_color </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Get color of current traffic light
@return Traffic light color
</pre> 
</div>
</div>
<a id="a30a999052644d19f11d7f3da6d6ae62a" name="a30a999052644d19f11d7f3da6d6ae62a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a30a999052644d19f11d7f3da6d6ae62a">&#9670;&nbsp;</a></span>tick()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">def TrafficLight.traffic_light.tick </td>
          <td>(</td>
          <td class="paramtype">&#160;</td>
          <td class="paramname"><em>self</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<pre class="fragment">Change traffic light color after some ticks.
Depends on pattern_tick array.
</pre> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>eng/TrafficLight.py</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
